SuperCollider CLASSES (extension)
UGens>Generators>Stochastic

# Latoocarfian2DC

latoocarfian 2D chaotic generator
Source: /Users/zzk/Library/Application Support/SuperCollider/Extensions/BhobUGens/classes/bhobChaos.sc
Inherits from: Latoocarfian2DN : UGen : AbstractFunction : Object
See also: Latoocarfian2DN, Latoocarfian2DL

## Description

    x(n+1) = sin(by(n)) + c*sin(bx(n))
    y(n+1) = sin(ay(n)) + d*sin(ax(n))

x values determine frequencies; y values determine amplitudes. Stable ranges for a & b tend to be between -3 to + 3. c & d between 0.5 and 1.5. There are combinations within these ranges that are unstable, so be prepared to tweak this oscillator.

## Class Methods

### *ar (minfreq: 11025, maxfreq: 22050, a: 1, b: 3, c: 0.5, d: 0.5, x0: 0.34082301375036, y0: -0.38270086971332, mul: 1, add: 0)

From superclass: Latoocarfian2DN

### *kr (minfreq: 40, maxfreq: 100, a: 1, b: 3, c: 0.5, d: 0.5, x0: 0.34082301375036, y0: -0.38270086971332, mul: 1, add: 0)

From superclass: Latoocarfian2DN

#### Arguments:

minfreq, maxfreq | iteration frequency in Hertz
a, b, c, d | equation variables
x0 | initial value of x
y0 | initial value of y

### Inherited class methods

## Instance Methods

### Inherited instance methods

## Examples

    (
    { Latoocarfian2DC.ar(
        SampleRate.ir/8,
        SampleRate.ir/2,
        LFNoise2.kr(2.dup, 1.5, 1.5),
        d:LFNoise2.kr(2.dup, 0.5, 1.5),
        mul:0.2
    ) }.play(s);
    )

helpfile source: /Users/zzk/Library/Application Support/SuperCollider/Extensions/BhobUGens/HelpSource/Classes/Latoocarfian2DC.schelp
link::Classes/Latoocarfian2DC::
sc version: 3.8.0